logs archiveIRC Archive / Freenode / #firefox / 2015 / November / 20 / 1
share
https://bugs.archlinux.org/task/47093?project=1&cat[0]=2&string=alsa-lib
restarting pulseaudio did the trick
Primula1380
Is there another addon that works better than html5 to replace Adobe Flash?
Caspy7
Primula1380: I don't believe there is any Flash alternative
Primula1380
I tried doing this...http://www.linuxveda.com/2015/04/02/enable-mse-native-html5-support-firefox-linux/...but I don't know if it's really working. It's working for YouTube, but not much else
Caspy7
Primula1380: what problems are you having with HTML5?
Primula1380
It doesn't work on this website: www.cbc.ca
b0at
maybe they don't offer an alternative.
Caspy7
Primula1380: a site has to make their own change to support HTML5
it is not a 1 to 1 swap out
Primula1380
html partially works on cbc.ca, but not fully
html5
         

Caspy7
Primula1380: can you link to a page of theirs where it partially works?
Primula1380
Caspy7
like I said, a site either supports it or doesn't
(Action) sighs
Primula1380
Actually, try cbc.ca if you don't believe me. It works for some of the audio, and none of the video
Caspy7
Primula1380: that is their fault
why don't you provide me with a cbc link as an example of it not working
Primula1380
But I do believe there is a way to play their videos without Adobe Flash: I just haven't figured it out yet
http://music.cbc.ca/#!/The-Strombo-Show
b0at
they use a video element. it looks like it's supposed to work.
Primula1380
It works with flash, but not with any of the other plugins I've tried
b0at
there's some webgl error in the console. dunno what it's even being used for. it might be causing all script to stop.
Caspy7
that's because the content is only in flash
Primula1380
Adobe Flash is not secure: that's why I refuse to use it with Firefox
Caspy7
as I said, a site has to provide their content in HTML5 for that to work, if they only provide Flash content, you can't just shoehorn some other technology there right now
Primula1380
It's safe to use with Google Chrome, but I can't record livestreaming from Google Chrome
Caspy7
Mozilla is working on a reimplementation of Flash called Shumway
Primula1380: why is it safe to use with Chrome?
Primula1380
because it's sandboxed
And I"ve been using Flash with Chrome for probably a year now without any security issues
Caspy7
that's coming up with multiprocess in Firefox. Though it does have a sandbox already in Firefox
Primula1380
If Adobe Flash is sandboxed in Firefox, then why does Firefox warn me in the Addons that it's not safe?
b0at
oh, despite using webgl and html5 video on their page, their faq says flash is required, after all. how strange.
Primula1380
that would explain why some of their audio works with html5 on cbc.ca
Caspy7
probably DRM
         

Primula1380
DRM? wHAt's that?
Caspy7
Primula1380: do you have the most recent version of Flash?
Primula1380
Yes
Oh sorry, I don't know
Caspy7
Primula1380: what OS are you on?
Primula1380
Linux Mint
17.2
Rafaela
b0at
linux gets ancient flash. you'll have something newer with the "fresh player" plugin that uses google's pepper flash.
Caspy7
Primula1380: well, that flash should still be receiving security updates, but maybe it still says it's insecure
Primula1380
Oh, may be it's because it's hard to update all my software when I'm using a linux live CD
Sorry, I accidentally restarted Firefox
ChatZilla got closed when I accidentaly restarted Firefox
Sorry Caspy7
Caspy7
you didn't miss anything
Primula1380
But since Google Chrome can use flash on cbc.ca, I think I may be able to solve my livestreaming recording problems by using livestreamer instead of netvideohunter
Has anyone here tried this: http://www.linuxveda.com/2015/04/02/enable-mse-native-html5-support-firefox-linux/
Everything from that link worked except this part: media.fragmented.mp4.*
Caspy7
Primula1380: I have MSE & MP4 enabled, but not MSE & Webm because it's not in an especially good state
that's the default on Windows anyway
the next release, 43 will have MSE & Webm enabled by default for Linux as I understand it
they have improved the support for it
and I think they replaced libvpx with ffvpx
which has better performance
Primula1380
ARe you talking about Firefox V. 43?
Caspy7
yes
it's beta right now
but quite stable
Primula1380
Isn't Firefox 38.0 the latest release?
Windows uses later versions of Firefox than Linux?
Caspy7
The latest release is 42
it's possible 38 is the latest ESR... I forget
ah, yes
Primula1380
I must have an old version of Firefox because I'm running a live CD of Linux Mint 17.2
Caspy7
it's the latest ESR
Primula1380
ESR?
What does ESR stand for?
Caspy7
ESR = Extended ... Release
I forget the middle word
b0at
support
meaning critical bugs are fixed
Primula1380
Extended Support Release?
Caspy7
yes
it mainly gets security fixes
b0at
Caspy7
so you could be 11 months behind everyone else at some point
Primula1380
Would ESR be the equivalent of Long Term Stable Release? (LTS)?
Caspy7
yes
I think so
it's generally not encouraged for general desktop users
Primula1380
Linux distributions are often described this way, LTS, because they are fully tested and have less bugs
b0at
there's no extra testing on ESR, afaik. it's just less of a moving target.
Primula1380
<Caspy7> "I have MSE & MP4 enabled, but not MSE & Webm because it's not in an especially good state." Are you talking about this: https://www.youtube.com/html5
Caspy7
Primula1380: yes, and that generally correlates to the about:config settings
that are referenced in the article you link
Primula1380
Yes, and you said my problem with the fragmented mp4 thing was related to Windows vs Linux, cause I"m not using Windows?
Caspy7
Primula1380: I don't know about the fragmented thing
Primula1380
I spent an hour printing out the whole god damned MSE HtML5 5 thing and then colouring it in to understand it better, only two lose it three hours later
Caspy7
Primula1380: in what way did setting those to true not work?
Primula1380
I lost the print out
It would be easeir to just post it here, but my posting app doesxn't work. I vhaanvent't installed Shutter yet
I followed evertyhing on that stupid MSE link I kept posting
everyhitntg worked fine except this: media.fragmented.mp4*
« prev 1 2 next »